how to install jmtpfs ?
#1
I got a new phone with android 10 and now my pinebook cannot see it when I plug in with usb cable.  I did a little searching and several pages mentions that I would need jmtpfs (https://github.com/JasonFerrara/jmtpfs).  I tried modifying the build file to add aarch64 and still cannot build for manjaro.  Not really sure what my next steps would be.  Is there a way to know what is holding up the package build? some dependency that also needs to be built for aarch64?

For anyone interested in what was going on with my phone: I could see the device in file explorer but not access any storage:

No storage media found. Make sure your device is unlocked and has MTP enabled in its USB connection settings.
  Reply
#2
you may need to try editing to PKGBUILD of libmtp (jmtpfs dependency) to include aarch64 https://archlinux.org/packages/?q=libmtp
  Reply
#3
(07-26-2021, 06:37 AM)tophneal Wrote: you may need to try editing to PKGBUILD of libmtp (jmtpfs dependency) to include aarch64 https://archlinux.org/packages/?q=libmtp

I already have fuse and libmtp installed ( and these are the only dependencies I see).  Im getting an error from yay about config.guess not being able to tell what my cpu is.  I guess I can follow the instructions and alert the maintainer with the specs, but I figured there might be something I could do locally. 

If no one here has built jmtpfs, how are you guys plugging your Android 10+ phones into the pinebook?  I never had this issue before updating to Android 10 and 11.
  Reply
#4
if you try again, add your output from yay with the error. may be able to help someone point you to what's causing the problem.
  Reply
#5
(08-02-2021, 07:11 AM)tophneal Wrote: if you try again, add your output from yay with the error. may be able to help someone point you to what's causing the problem.

added aarch64 to arch in the PKGBUILD and get this error:

Quote:==> Starting build()...
checking build system type... ./config.guess: unable to guess system type

This script, last modified 2009-11-20, has failed to recognize
the operating system you are using. It is advised that you
download the most up to date version of the config scripts from

 http://git.savannah.gnu.org/gitweb/?p=co...ss;hb=HEAD
and
 http://git.savannah.gnu.org/gitweb/?p=co...ub;hb=HEAD

If the version you run (./config.guess) is already up to date, please
send the following data and any information you think might be
pertinent to <config-patches@gnu.org> in order to provide the needed
information to handle your system.

config.guess timestamp = 2009-11-20

uname -m = aarch64
uname -r = 5.13.4-1-MANJARO-ARM
uname -s = Linux
uname -v = #1 SMP Tue Jul 20 18:40:45 UTC 2021

/usr/bin/uname -p = unknown
/bin/uname -X     =  

hostinfo               =  
/bin/universe          =  
/usr/bin/arch -k       =  
/bin/arch              =  
/usr/bin/oslevel       =  
/usr/convex/getsysinfo =  

UNAME_MACHINE = aarch64
UNAME_RELEASE = 5.13.4-1-MANJARO-ARM
UNAME_SYSTEM  = Linux
UNAME_VERSION = #1 SMP Tue Jul 20 18:40:45 UTC 2021
configure: error: cannot guess build type; you must specify one
==> ERROR: A failure occurred in build().
   Aborting...
error making: jmtpfs
  Reply
#6
Looks like you may want to build this without the assitance of yay https://stackoverflow.com/questions/4810...pe-failure
  Reply


Possibly Related Threads…
Thread Author Replies Views Last Post
  Fresh Manjaro+KDE install, strange bug hovering over the interfaces-systray icon QuinTeknoLife 1 509 04-29-2021, 07:13 PM
Last Post: carlosqueso
Heart PBP Arrives Tmmro, Manjaro 20.12 xfce, Seeking Install Notes/Tips/Tricks/Advice SpaceLord 4 1,064 03-01-2021, 06:00 PM
Last Post: SpaceLord
  Install Manjaro from SD motezart 2 1,173 12-22-2020, 07:11 PM
Last Post: jiyong
  trying to install packages to debian onlyjediontheweekend 1 1,002 12-09-2020, 03:25 PM
Last Post: nas
  Possible to install KDE Neon on PinebookPro? Pinoideae 11 4,314 10-27-2020, 10:09 AM
Last Post: firefox-58
  How to install Skype on PBP? james64 21 11,281 10-03-2020, 01:46 PM
Last Post: Mangled
  Failing to install usb wifi adapter Debian older PBP AaronMFeld 0 925 09-14-2020, 07:42 PM
Last Post: AaronMFeld
  Does anyone know if it is possible to install a devuan gnu/linux ? erosketak 5 3,137 08-19-2020, 11:46 AM
Last Post: xmixahlx
  I have a manjaro 20.03 install from march, now pacman does not work Ilia3101 5 3,181 08-17-2020, 02:19 AM
Last Post: erchache2000
  Failure to install gcc hvdkooij 1 1,154 07-22-2020, 08:29 AM
Last Post: slyecho

Forum Jump:


Users browsing this thread: 1 Guest(s)